%define url_ver %(echo %{version} | cut -d. -f1,2)

#exclude plugin .so from provides
%define _exclude_files_from_autoprov %{_libdir}/xfce4/panel/plugins/.*\\.so

Summary:	Cpu-freq plugin for Xfce desktop
Name:		xfce4-cpufreq-plugin
Version:	1.1.0
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-cpufreq-plugin
Source0:	http://archive.xfce.org/src/panel-plugins/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
# From upstream bugzilla:
# http://git.xfce.org/panel-plugins/xfce4-cpufreq-plugin/commit/?id=76ffedc7
Patch0:		xfce4-cpufreq-plugin-1.1.0-plugin-build.patch
BuildRequires:	intltool
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfce4ui-1)
BuildRequires:	pkgconfig(libxfce4panel-1.0)
Requires:	xfce4-panel >= 4.8.0

%description
xfce4-cpufreq-plugin shows the current CPU frequency and governor in the
panel, and the frequencies and governors and more information for all
CPUs in a separate overview.

Note that at the moment, xfce4-cpufreq-plugin does not permit to change
any of these CPU settings.

%prep
%setup -q
%apply_patches

%build
mkdir -p m4
%xdt_autogen
%configure2_5x
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc README ChangeLog AUTHORS
%{_libdir}/xfce4/panel/plugins/libcpufreq.so
%{_datadir}/xfce4/panel/plugins/cpufreq.desktop
%{_iconsdir}/hicolor/*/apps/*.png


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.1.0-2.mga4
+ Revision: 533682
- Mageia 4 Mass Rebuild

* Tue Sep 03 2013 wally <wally> 1.1.0-1.mga4
+ Revision: 474811
- new version 1.1.0
- add patch from upstream git to fix plugin build (xfce#10332)
- drop unneeded patches
- exclude plugin .so from provides
- update description

* Mon Jan 14 2013 umeabot <umeabot> 1.0.0-8.mga3
+ Revision: 386796
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 wally <wally> 1.0.0-7.mga3
+ Revision: 338164
- add patch to fix build with automake 1.13
- fix build after %%_libexecdir change

* Sun Jun 17 2012 wally <wally> 1.0.0-6.mga3
+ Revision: 261123
- port to libxfce4ui

* Tue May 29 2012 wally <wally> 1.0.0-5.mga3
+ Revision: 249453
- rebuild for new libxfce4util
- clean .spec

* Tue Jan 03 2012 wally <wally> 1.0.0-3.mga2
+ Revision: 190056
- rebuild for new xfce4-panel

* Sat Feb 19 2011 ahmad <ahmad> 1.0.0-2.mga1
+ Revision: 54173
- imported package xfce4-cpufreq-plugin


* Wed Jan 26 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.0-1mdv2011.0
+ Revision: 632769
- update to new version 1.0.0
- fix url for Source0
- package locales
- drop old scriplets
- fix file list

* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 0.0.1-11mdv2011.0
+ Revision: 615573
- the mass rebuild of 2010.1 packages

* Fri May 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.1-10mdv2010.1
+ Revision: 543420
- rebuild for mdv 2010.1

* Sun Sep 20 2009 Thierry Vignaud <tv@mandriva.org> 0.0.1-9mdv2010.0
+ Revision: 445979
- rebuild

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.1-8mdv2009.1
+ Revision: 349447
- rebuild for xfce-4.6.0

* Fri Jan 02 2009 Jérôme Soyer <saispo@mandriva.org> 0.0.1-7mdv2009.1
+ Revision: 323288
- Rewind...
- Change name and rebuild
- Readd current directory


* Wed Apr 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.1-6mdv2009.0
+ Revision: 194499
- drop patch0 as it doesn't work

* Mon Nov 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.1-5mdv2008.1
+ Revision: 110102
- correct buildrequires
- new license policy
- use upstream tarball name as a real name
- use upstream name

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.0.1-4mdv2008.0
+ Revision: 90382
- rebuild

* Thu May 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.1-3mdv2008.0
+ Revision: 33207
- add macros to %%post and %%postun
- spec file clean
- drop __libtoolize

